Subject: Questions of Polarity and Enable

From: Stephen Peters <[email-masked]>
Date: Fri, 06 Dec 1996 14:31:33 -0800

On  Thu, 5 Dec 96 16:59:01 PST Zheng Shi of Symmetry wrote:

>Hi, Ibis folks:
>
>Can anyone tell me what the sub-param Polarity and Enable of 
>keyword [Model] really means? Is Polarity used only on diff 
>pins? Is Enable used only on tri-state pins? How can I decide 
>the Polarity and Enable of an input or output pin?
>
>I can't find such detail information from IBIS2.1 Specification, 
>can anyone give me some advices, or tell me where i can find 
>the answer?
>
>Thanks a lot,
>
>-Zheng Shi
> [email-masked]
> Los Altos, CA. 

     I belive the original intent was to support SSI logic components
(74OO series TTL and the like) by allowing the user to include
information on the outputs' logic operation. For example, the model provider
could specify if the the path from input to output was inverting or 
non-inverting or if the enable on a tri-state output pin was high or
low.  However, for a lot of components (microprocessors, PALS/FPGAS, RAMS,
etc.) these parameters don't seem to make much sense (to me, anyway). Unless
you were modeling an SSI component where this made since, I would
just default them to positive polarity and Active_high.

  Ibis old-timmers, any other comments?

               Best Regards,
               Stephen Peters
               Intel Corp.

---

From: [email-masked] (Syed Huq)
Date: Fri, 6 Dec 96 15:10:30 PST

Hi,

If you are creating an IBIS model based on s2ibis utility, Polarity
and Enable are key in making the conversion work. 

For Model_type Input, Polarity=1 sets the input for inverting while
Polarity=0 for non-inverting.

For Model_type I/O or 3-state, both Polarity and Enable fields are
expected. Enable specifies the pin number that enables the associated
output.

Regards,
Syed
National Semiconductor Corp.

---

From: Arpad Muranyi <[email-masked]>
Date: Fri, 06 Dec 96 15:44:00 PST

Text item: 

Stephen, and Zheng,

If the use of the Polarity (and other) sub-parameter doesn't make sense, don't 
use it.  It is not a required sub-parameter.

Arpad
===============================================================================

               Best Regards,
               Stephen Peters
               Intel Corp.

Text item: External Message Header

The following mail header is for administrative use
and may be ignored unless there are problems.

***IF THERE ARE PROBLEMS SAVE THESE HEADERS***.

From: Stephen Peters <[email-masked]>
Date: Fri, 06 Dec 1996 14:31:33 -0800
Subject: Questions of Polarity and Enable
To: [email-masked], [email-masked]
tel.com (8.8.4/8.7.3) with ESMTP id OAA27682; Fri, 6 Dec 1996 14:31:30 -0800 (PS
T)
Received: from ormail.intel.com (ormail.intel.com [134.134.248.3]) by vhdl.vhdl.
org (8.7.3/8.7.3) with ESMTP id OAA12385; Fri, 6 Dec 1996 14:42:43 -0800 (PST)
Received: from vhdl.vhdl.org (vhdl.vhdl.org [198.31.14.3]) by ormail.intel.com (
8.8.4/8.7.3) with ESMTP id OAA28257; Fri, 6 Dec 1996 14:34:13 -0800 (PST)
Received: from ormail.intel.com (ormail.intel.com [134.134.248.3]) by relay.jf.i
ntel.com (8.8.2/8.7.3) with ESMTP id OAA17422; Fri, 6 Dec 1996 14:34:14 -0800 (P
ST)
Return-Path: [email-masked]

---

From: Arpad Muranyi <[email-masked]>
Date: Fri, 06 Dec 96 15:47:00 PST

Text item: 

Syed,

Again, these sub-parameters are not required in IBIS.  They may be used in the 
s2ibis conversion tool, but IBIS doesn't require them, so people don't have to 
use them if it doesn't make sense for them.

Arpad
==============================================================================

Hi,

Regards,
Syed

Subject: Re: Questions of Polarity and Enable
To: [email-masked], [email-masked], [email-masked]
From: [email-masked] (Syed Huq)
Date: Fri, 6 Dec 96 15:10:30 PST
6; Fri, 6 Dec 1996 15:09:31 -0800
Received: from natsemi-bh.nsc.com (natsemi-bh.nsc.com [204.163.202.66]) by vhdl.
vhdl.org (8.7.3/8.7.3) with SMTP id PAA12718; Fri, 6 Dec 1996 15:20:27 -0800 (PS
T)
Received: from vhdl.vhdl.org (vhdl.vhdl.org [198.31.14.3]) by ormail.intel.com (
8.8.4/8.7.3) with ESMTP id PAA05424; Fri, 6 Dec 1996 15:12:26 -0800 (PST)
Received: from ormail.intel.com (ormail.intel.com [134.134.248.3]) by relay.jf.i
ntel.com (8.8.2/8.7.3) with ESMTP id PAA24443; Fri, 6 Dec 1996 15:12:27 -0800 (P
ST)
Return-Path: [email-masked]

---

From: [email-masked] (Scott Schlachter)
Date: Mon, 9 Dec 96 07:20:40 PST

Good morning IBIS world,

The nessessity of having Enable and Polarity specified for the s2ibis 
utilities is clear to me.  However, I too was wondering why they are
required in the specs.  It almost seems like unnesessary data to 
require to be listed for all of the types of pins.  It SHOULD be required
to specify the enable pin, IF the enable for an I/O is an external pin 
itself; such with, it should also have its (the enable pin's) polarity
specified.  But, if the enable is only available internally, why specify 
it?  And, if it is not specifically an external enable pin, why does the 
pin's polarity matter to the simulation tools?  Thanks,

-Scott Schlachter	Actel Corporation
 [email-masked]	Sunnyvale, CA

---

From: [email-masked] (Scott Schlachter)
Date: Mon, 9 Dec 96 07:37:40 PST

Please disregard my last email.  I just realized that these parameters are
not actually required.  My appologies,
-Scott

---

From: Arpad Muranyi <[email-masked]>
Date: Mon, 09 Dec 96 07:37:00 PST

Text item: 

Scott,

It seems to me that my respnse didn't make it through the reflector.  The 
sub-parameters Enable and Polarity are NOT required in an IBIS model according 
to the spec.  So I don't understand what all the fuss is about this.  If you 
don't need it, don't use it...

Arpad

Good morning IBIS world,

Subject: Re: Questions of Polarity and Enable
To: [email-masked], [email-masked]
From: [email-masked] (Scott Schlachter)
Date: Mon, 9 Dec 96 07:20:40 PST
.7.3/8.7.3) with SMTP id HAA28855; Mon, 9 Dec 1996 07:30:35 -0800 (PST)
Received: from vhdl.vhdl.org (vhdl.vhdl.org [198.31.14.3]) by mailbag.jf.intel.c
om (8.8.4/8.7.3) with ESMTP id HAA20447; Mon, 9 Dec 1996 07:29:22 -0800 (PST)
Received: from mailbag.jf.intel.com ([email-masked] [134.134.248.4])
by relay.jf.intel.com (8.8.2/8.7.3) with ESMTP id HAA11128; Mon, 9 Dec 1996 07:2
6:48 -0800 (PST)
Return-Path: [email-masked]